uk.gov.hmrc.cato.time

# DateHelper

###
Related Docs: object DateHelper | package time

#### trait DateHelper extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
DateHelper
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DateHelper
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def fakeTimeOffsetInMillis(): Long

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getCurrentDate(): LocalDate

    Attributes
      protected[uk.gov.hmrc.cato.time]

12. #### def getFakeDateLongString(): Option[String]

13. #### def getFakeDateOffset(): Long

14. #### def getFakeDateString(): Option[String]

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### def isFakeDateActive(): Boolean

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def isNowSetAhead(): Boolean

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def now(): LocalDate

23. #### def retry(n: Int, fn: ⇒ Option[String]): Option[String]

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped